summaryrefslogtreecommitdiff
path: root/scripts/travis_script.sh
diff options
context:
space:
mode:
authorKonstantin Käfer <mail@kkaefer.com>2014-08-27 11:23:58 +0200
committerKonstantin Käfer <mail@kkaefer.com>2014-08-27 11:23:58 +0200
commit454ac1866b959df60f0da82e54fe30b543871d87 (patch)
tree8d87ca71aac87852e77b1daca1038a746ce0acfb /scripts/travis_script.sh
parent42d0740ef08be4847d7c9c514fa1bb29dd14fd02 (diff)
downloadqtlocation-mapboxgl-454ac1866b959df60f0da82e54fe30b543871d87.tar.gz
don't fail if test comparisons return mismatches
Diffstat (limited to 'scripts/travis_script.sh')
-rwxr-xr-xscripts/travis_script.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/travis_script.sh b/scripts/travis_script.sh
index f8325e41cc..ee56080ff5 100755
--- a/scripts/travis_script.sh
+++ b/scripts/travis_script.sh
@@ -10,7 +10,11 @@ if [[ ${TRAVIS_OS_NAME} == "linux" ]]; then
make linux -j4 BUILDTYPE=${BUILDTYPE}
make test -j4 BUILDTYPE=${BUILDTYPE}
./scripts/run_tests.sh
- (cd ./node_modules/mapbox-gl-test-suite/ && (./bin/compare_images.js || true; [[ $TRAVIS_PULL_REQUEST = "false" ]] && ./bin/deploy_results.sh))
+ (cd ./node_modules/mapbox-gl-test-suite/ && (./bin/compare_images.js || true))
+
+ if [ "${TRAVIS_PULL_REQUEST}" == "false" ] ; then
+ ./bin/deploy_results.sh
+ fi
elif [[ ${TRAVIS_OS_NAME} == "osx" ]]; then
#